//HavokLevel.h
#ifndef _HAVOKLEVEL_H
#define _HAVOKLEVEL_H

#include <vector>
#include "HavokDefine.h"
#include <Common/Base/hkBase.h>

class hkpRigidBody;
class hkpPhysicsData;


#ifdef USE_HAVOKDEMO  
class HavokLevel : public hkReferencedObject
#else
class HavokLevel 
#endif
{
public:
	static	bool	CreateInstance();
	static	void	ReleaseInstance();
	static	HavokLevel*	Instance()
	{
		return m_pInstance;
	}
private:
	static HavokLevel*	m_pInstance;
	HavokLevel();

public:
	~HavokLevel();

	hkpRigidBody* AddWorld( const char* fileName );
	hkpPhysicsData* AddPhysicsSystem( const char* fileName );

private:
	bool	Init()
	{
		return true;
	}
	void	UnInit();

private:
	hkArray< hkpRigidBody* > m_rigidVec;
	hkArray< hkpPhysicsSystem* > m_systemVec;
};


#endif